// Code generated by mockery v2.10.0. DO NOT EDIT.

package mocks

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	model "gitlab.com/aleksei.e.kozlov/users-api/internal/pkg/model"

	uuid "github.com/satori/go.uuid"
)

// UserStorageProvider is an autogenerated mock type for the UserStorageProvider type
type UserStorageProvider struct {
	mock.Mock
}

// AddUser provides a mock function with given fields: _a0, _a1
func (_m *UserStorageProvider) AddUser(_a0 context.Context, _a1 *model.User) error {
	ret := _m.Called(_a0, _a1)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *model.User) error); ok {
		r0 = rf(_a0, _a1)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteUser provides a mock function with given fields: ctx, id
func (_m *UserStorageProvider) DeleteUser(ctx context.Context, id uuid.UUID) error {
	ret := _m.Called(ctx, id)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, uuid.UUID) error); ok {
		r0 = rf(ctx, id)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// ListUsers provides a mock function with given fields: ctx, page, pageSize, userFilter
func (_m *UserStorageProvider) ListUsers(ctx context.Context, page uint32, pageSize uint32, userFilter *model.User) (*model.ListUserResponse, error) {
	ret := _m.Called(ctx, page, pageSize, userFilter)

	var r0 *model.ListUserResponse
	if rf, ok := ret.Get(0).(func(context.Context, uint32, uint32, *model.User) *model.ListUserResponse); ok {
		r0 = rf(ctx, page, pageSize, userFilter)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*model.ListUserResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, uint32, uint32, *model.User) error); ok {
		r1 = rf(ctx, page, pageSize, userFilter)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ModifyUser provides a mock function with given fields: _a0, _a1
func (_m *UserStorageProvider) ModifyUser(_a0 context.Context, _a1 *model.User) error {
	ret := _m.Called(_a0, _a1)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *model.User) error); ok {
		r0 = rf(_a0, _a1)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
